/* ------------------------------ container ------------------------------ */

div#container {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    background: transparent url("../images/background.jpg") no-repeat center
        center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    opacity: 1;
}

/* ------------------------------ login_container ------------------------------ */

div#container div#login_container {
    display: flex;
    align-items: center;
    flex-flow: column;
    width: 28%;
    min-height: 75%;
    height: fit-content;
    background: var(--unnamed-color-beddd9) 0% 0% no-repeat padding-box;
    background: #beddd9 0% 0% no-repeat padding-box;
    box-shadow: 0px 6px 9px #00000029;
    border-radius: 25px;
    opacity: 1;
    padding-bottom: 70px;
}

div#container div#login_container a {
    width: 75%;
    height: fit-content;
    margin-top: 70px;
    margin-bottom: 45px;
}

div#container div#login_container a img {
    width: 100%;
}

div#container div#login_container span#heading {
    font: normal normal 600 30px/70px Poppins;
    letter-spacing: 0.29px;
    color: #ffffff;
    opacity: 1;
    text-align: center;
    margin-bottom: 35px;
}

div#container div#login_container p {
    width: 75%;
    font: normal normal 600 12px/18px Poppins;
    margin-bottom: 20px;
}

div#container div#login_container form {
    width: 75%;
}

div#container div#login_container form div.input_wrapper {
    position: relative;
    height: 50px;
    margin-bottom: 20px;
}

div#container div#login_container form input,
div#container div#login_container form select {
    width: 100%;
    height: 50px;
    border-radius: 5px;
    opacity: 1;
    border: none;
    margin-bottom: 20px;
}

input[name="name"] {
    background: #ffffff 0% 0% no-repeat padding-box;
    padding-left: 70px;
}

input[name="email"] {
    background: #ffffff 0% 0% no-repeat padding-box;
    padding-left: 70px;
}

input[name="password"] {
    background: #ffffff 0% 0% no-repeat padding-box;
    padding-left: 70px;
}

input[name="password_confirmation"] {
    background: #ffffff 0% 0% no-repeat padding-box;
    padding-left: 70px;
}

select {
    background: #ffffff 0% 0% no-repeat padding-box;
    padding-left: 70px;
}

#mySelect.placeholder {
    font: normal normal 600 16px/25px Poppins;
    letter-spacing: 0.1px;
    color: #e4dede;
    opacity: 1;
    vertical-align: middle;
}

/* Style for the options */
#mySelect option {
    color: black; /* Default color for options */
}

input[name="name"]::placeholder,
input[name="email"]::placeholder,
input[name="password"]::placeholder,
input[name="password_confirmation"]::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    font: normal normal 600 16px/25px Poppins;
    letter-spacing: 0.1px;
    color: #e4dede;
    opacity: 1;
    vertical-align: middle;
    /* Firefox */
}

input[name="name"]:-ms-input-placeholder,
input[name="email"]:-ms-input-placeholder,
input[name="password"]:-ms-input-placeholder,
input[name="password_confirmation"]:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    font: normal normal 600 16px/25px Poppins;
    letter-spacing: 0.1px;
    color: #e4dede;
    vertical-align: middle;
}

input[name="name"]::-ms-input-placeholder,
input[name="email"]::-ms-input-placeholder,
input[name="password"]::-ms-input-placeholder,
input[name="password_confirmation"]::-ms-input-placeholder {
    /* Microsoft Edge */
    font: normal normal 600 16px/25px Poppins;
    letter-spacing: 0.1px;
    color: #e4dede;
    vertical-align: middle;
}

input[name="name"]:focus span,
input[name="email"]:focus span,
input[name="password"]:focus span,
input[name="password_confirmation"]:focus span {
    display: none;
}

input[name="submit"] {
    background: #426b71 0% 0% no-repeat padding-box;
    color: #ffffff;
    cursor: pointer;
}

span.input_icon {
    display: block;
    position: absolute;
    top: 13px;
    left: 24px;
    font-size: 22px;
    color: #e4dede !important;
}

div#link_div {
    display: flex;
    width: 75%;
    justify-content: center;
}

div#container div#login_container a.bottom_link {
    font: normal normal bold 16px/25px Poppins;
    letter-spacing: 0.1px;
    color: #426b71;
    text-shadow: 0px 3px 50px #00000029;
    opacity: 1;
    margin: unset;
    width: fit-content;
}

label.checkbox {
    display: inline-flex;
    cursor: pointer;
    position: relative;
    margin: 0;
    align-items: center;
}

label.checkbox p {
    display: flex;
    align-self: center;
    font: normal normal 600 13px/18px Poppins !important;
    margin-left: 5px;
}

.checkbox > span {
    color: #34495e;
}

label.checkbox > input {
    height: 25px !important;
    width: 25px !important;
    -webkit-appearance: none;
    -moz-appearance: none;
    -o-appearance: none;
    appearance: none;
    border: 1px solid #426b71;
    border-radius: 4px;
    outline: none;
    transition-duration: 0.3s;
    background-color: #ffffff;
    cursor: pointer;
}

label.checkbox > input:checked {
    border: 1px solid #426b71;
    background-color: #426b71;
}

label.checkbox > input:checked + span::before {
    content: "\2713";
    display: block;
    text-align: center;
    color: #41b883;
    position: absolute;
    left: 0.4rem;
    top: 0.05rem;
}

label.checkbox > input:active {
    border: 2px solid #34495e;
}

.alert {
    padding: 20px;
    background-color: #f44336;
    color: white;
    opacity: 1;
    transition: opacity 0.6s;
    margin-bottom: 15px;
    position: absolute;
    width: 100%;
    min-height: 20px;
    top: 0;
    left: 0;
    z-index: 100;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
}

.alert ul {
    list-style-type: none;
    text-align: center;
}

/* ------------------------------ Responsive ------------------------------ */

@media screen and (max-width: 1365px) {
    div#container div#login_container {
        width: 35%;
    }
}

@media screen and (max-width: 1090px) {
    div#container div#login_container {
        width: 45%;
    }
}

@media screen and (max-width: 855px) {
    div#container div#login_container {
        width: 55%;
    }
    html,
    body {
        overflow-y: hidden;
    }
}

@media screen and (max-width: 700px) {
    div#container div#login_container {
        width: 70%;
    }
}

@media screen and (max-width: 550px) {
    div#container div#login_container {
        width: 85%;
        min-height: unset;
    }

    div#container div#login_container a.bottom_link {
        font: normal normal bold 12px/25px Poppins;
    }

    div#container div#login_container a {
        margin-top: 30px;
        margin-bottom: 30px;
    }
}

@media only screen and (orientation: landscape) {
    @media screen and (max-height: 800px) {
        div#container div#login_container {
            height: 90%;
            width: 90%;
            display: flex;
            flex-flow: column nowrap;
            align-items: center;
            padding: 0;
            overflow-y: auto;
        }

        div#container div#login_container a {
            width: 100%;
            margin: 0;
            margin-top: 10px;
            display: flex;
            justify-content: center;
        }

        div#container div#login_container a img {
            width: 25%;
        }

        div#container div#login_container span#heading {
            margin: 20px 0;
            font: normal normal 600 20px/50px Poppins;
        }

        div#container div#login_container form {
            display: flex;
            flex-flow: column nowrap;
            justify-content: center;
        }

        div#container div#login_container form div.input_wrapper {
            margin: 0;
            margin-bottom: 20px;
        }

        div#container div#login_container form input,
        div#container div#login_container form p {
            margin: 0;
        }

        div#container div#login_container form p {
            margin-left: 10px;
        }

        div#container div#login_container form label.checkbox {
            margin-bottom: 20px;
        }

        div#container div#login_container form input[type="submit"] {
            margin-bottom: 5px;
        }
    }
}
